gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Misc.Accessible

Contents

- Detail
- Class Hierarchy
- Types
- Methods

Description

A `Object` representing an adjustable bounded value

Synopsis

- data Accessible
- class AtkObjectClass o => AccessibleClass o
- castToAccessible :: GObjectClass obj => obj -> Accessible
- gTypeAccessible :: GType
- toAccessible :: AccessibleClass o => o -> Accessible
- accessibleGetWidget :: AccessibleClass self => self -> IO (Maybe Widget)
- accessibleSetWidget :: (AccessibleClass self, WidgetClass widget) => self -> widget -> IO ()

# Detail

Accessible accessibility support for widgets.

# Class Hierarchy

    | GObject
    | +----AtkObject
    | +----Accessible

# Types

data Accessible Source #

#### Instances

Instances details

Eq Accessible Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: Accessible -> Accessible -> Bool Source # (/=) :: Accessible -> Accessible -> Bool Source #
Ord Accessible Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: Accessible -> Accessible -> Ordering Source #

(<) :: Accessible -> Accessible -> Bool Source #

(<=) :: Accessible -> Accessible -> Bool Source #

(>) :: Accessible -> Accessible -> Bool Source #

(>=) :: Accessible -> Accessible -> Bool Source #

max :: Accessible -> Accessible -> Accessible Source #

min :: Accessible -> Accessible -> Accessible Source #

GObjectClass Accessible Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: Accessible -> GObject Source # unsafeCastGObject :: GObject -> Accessible Source #
AccessibleClass Accessible Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class AtkObjectClass o => AccessibleClass o Source #

#### Instances

Instances details

AccessibleClass Accessible Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToAccessible :: GObjectClass obj => obj -> Accessible Source #

gTypeAccessible :: GType Source #

toAccessible :: AccessibleClass o => o -> Accessible Source #

# Methods

accessibleGetWidget Source #

Arguments

:: AccessibleClass self |
=> self |
-> IO (Maybe Widget) | returns the `Widget` corresponding to the `Accessible`, or `Nothing`.

Gets the `Widget` corresponding to the `Accessible`.

- Available since Gtk+ version 2.22

accessibleSetWidget Source #

Arguments

:: (AccessibleClass self, WidgetClass widget) |
=> self | `accessible` a `Accessible`
-> widget | `widget` a `Widget`
-> IO () |

Sets the `Widget` corresponding to the `Accessible`.

- Available since Gtk+ version 2.22